1.0.2 API documentation: GLM_GTX_component_wise

| 1.0.2 API documentation

Functions
GLM_GTX_component_wise
Experimental extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType::value_type | compAdd (genType const &v)
| Add all vector components together. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMax (genType const &v)
| Find the maximum value between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMin (genType const &v)
| Find the minimum value between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMul (genType const &v)
| Multiply all vector components together. More...
template<typename floatType , length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, floatType, Q > | compNormalize (vec< L, T, Q > const &v)
| Convert an integer vector to a normalized float vector. More...
template<length_t L, typename T , typename floatType , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | compScale (vec< L, floatType, Q > const &v)
| Convert a normalized float vector to an integer vector. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | fcompMax (genType const &v)
| Find the maximum float between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | fcompMin (genType const &v)
| Find the minimum float between single vector components. More...

## Detailed Description

Include <glm/gtx/component_wise.hpp> to use the features of this extension.

Operations between components of a type

## Function Documentation

## ◆ compAdd()

GLM_FUNC_DECL genType::value_type glm::compAdd | ( | genType const & | v | ) |

Add all vector components together.

See also
  GLM_GTX_component_wise

## ◆ compMax()

GLM_FUNC_DECL genType::value_type glm::compMax | ( | genType const & | v | ) |

Find the maximum value between single vector components.

See also
  GLM_GTX_component_wise

## ◆ compMin()

GLM_FUNC_DECL genType::value_type glm::compMin | ( | genType const & | v | ) |

Find the minimum value between single vector components.

See also
  GLM_GTX_component_wise

## ◆ compMul()

GLM_FUNC_DECL genType::value_type glm::compMul | ( | genType const & | v | ) |

Multiply all vector components together.

See also
  GLM_GTX_component_wise

## ◆ compNormalize()

GLM_FUNC_DECL vec<L, floatType, Q> glm::compNormalize | ( | vec< L, T, Q > const & | v | ) |

Convert an integer vector to a normalized float vector.

If the parameter value type is already a floating qualifier type, the value is passed through.

See also
  GLM_GTX_component_wise

## ◆ compScale()

GLM_FUNC_DECL vec<L, T, Q> glm::compScale | ( | vec< L, floatType, Q > const & | v | ) |

Convert a normalized float vector to an integer vector.

If the parameter value type is already a floating qualifier type, the value is passed through.

See also
  GLM_GTX_component_wise

## ◆ fcompMax()

GLM_FUNC_DECL genType::value_type glm::fcompMax | ( | genType const & | v | ) |

Find the maximum float between single vector components.

See also
  GLM_GTX_component_wise

## ◆ fcompMin()

GLM_FUNC_DECL genType::value_type glm::fcompMin | ( | genType const & | v | ) |

Find the minimum float between single vector components.

See also
  GLM_GTX_component_wise